RFR: JDK-8218413 make reconfigure ignores configure-time AUTOCONF environment variable

Martin Buchholz martinrb at google.com
Mon Feb 11 18:54:01 UTC 2019


Looks good to me.

On Mon, Feb 11, 2019 at 3:42 AM Magnus Ihse Bursie <
magnus.ihse.bursie at oracle.com> wrote:

>  From the bug report:
>
> "Suppose PATH points to an out-of date autoconf.
> We can use the AUTOCONF environment variable with configure to override
> finding autoconf on PATH, but that variable is not remembered, so
> make reconfigure fails.
>
> # Recipe:
> rm -rf build
> AUTOCONF=/usr/bin/autoconf PATH="$MOLDY/bin:$PATH" bash configure ...
> # configure + make succeed
>
> make reconfigure
> # Fails with:
> Using autoconf at $MOLDY/bin/autoconf [autoconf (GNU Autoconf) 2.62]
> stdin:33: error: Autoconf version 2.69 or higher is required"
>
> Bug: https://bugs.openjdk.java.net/browse/JDK-8218413
> WebRev:
>
> http://cr.openjdk.java.net/~ihse/JDK-8218413-preserve-AUTOCONF-for-reconfigure/webrev.01
>
> /Magnus
>


More information about the build-dev mailing list